MWAWPageSpan Class Reference documentation

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
MWAWPageSpan Class Reference

A class which defines the page properties. More...

`#include <MWAWPageSpan.hxx>`

## Public Types
enum | FormOrientation { PORTRAIT , LANDSCAPE }
| the page orientation More...
enum | PageNumberPosition { None = 0 , TopLeft , TopCenter , TopRight , BottomLeft , BottomCenter , BottomRight }
| a fixed page number position More...

## Public Member Functions
| MWAWPageSpan ()
| constructor More...
| MWAWPageSpan (MWAWPageSpan const &)=default
MWAWPageSpan & | operator= (MWAWPageSpan const &)=default
MWAWPageSpan & | operator= (MWAWPageSpan &&)=default
| ~MWAWPageSpan ()
| destructor More...
double | getFormLength () const
| returns the page length More...
double | getFormWidth () const
| returns the page width More...
FormOrientation | getFormOrientation () const
| returns the page orientation More...
double | getMarginLeft () const
| returns the left margin More...
double | getMarginRight () const
| returns the right margin More...
double | getMarginTop () const
| returns the top margin More...
double | getMarginBottom () const
| returns the bottom margin More...
double | getPageLength () const
| returns the page length (form width without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWColor | backgroundColor () const
| returns the background color More...
int | getPageNumber () const
int | getPageSpan () const
void | setHeaderFooter (MWAWHeaderFooter const &headerFooter)
| add a header/footer on some page More...
void | setFormLength (const double formLength)
| set the total page length More...
void | setFormWidth (const double formWidth)
| set the total page width More...
void | setFormOrientation (const FormOrientation formOrientation)
| set the form orientation More...
void | setMarginLeft (const double marginLeft)
| set the page left margin More...
void | setMarginRight (const double marginRight)
| set the page right margin More...
void | setMarginTop (const double marginTop)
| set the page top margin More...
void | setMarginBottom (const double marginBottom)
| set the page bottom margin More...
void | setMargins (double margin, int wh=libmwaw::LeftBit|libmwaw::RightBit|libmwaw::TopBit|libmwaw::BottomBit)
| set all the margins More...
void | checkMargins ()
| check if the page margins are consistent with the page dimension, if not update them More...
void | setPageName (librevenge::RVNGString const &name)
| set the page name More...
bool | hasPageName () const
| return true if the page has a name More...
librevenge::RVNGString const & | getPageName () const
| return the page name More...
void | setMasterPageName (librevenge::RVNGString const &name)
| set the page master name More...
bool | hasMasterPageName () const
| return true if the masterPage has a name More...
librevenge::RVNGString const & | getMasterPageName () const
| return the page master name More...
void | setBackgroundColor (MWAWColor color=MWAWColor::white())
| set the background color More...
void | setPageNumber (const int pageNumber)
| set the page number More...
void | setPageSpan (const int pageSpan)
| set the page span ( default 1) More...
bool | operator== (std::shared_ptr< MWAWPageSpan > const &pageSpan) const
| operator== More...
bool | operator!= (std::shared_ptr< MWAWPageSpan > const &pageSpan) const
| operator!= More...
void | getPageProperty (librevenge::RVNGPropertyList &pList, bool isPresentation=false) const
| add the page properties in pList More...
void | sendHeaderFooters (MWAWListener *listener) const
| send the page's headers/footers if some exists More...
void | sendHeaderFooters (MWAWListener *listener, MWAWHeaderFooter::Occurrence occurrence) const
| send the page's headers/footers corresponding to an occurrence if some exists More...

## Protected Member Functions
int | getHeaderFooterPosition (MWAWHeaderFooter::Type type, MWAWHeaderFooter::Occurrence occurrence)
| return the header footer positions in m_headerFooterList More...
void | removeHeaderFooter (MWAWHeaderFooter::Type type, MWAWHeaderFooter::Occurrence occurrence)
| remove a header footer More...
bool | containsHeaderFooter (MWAWHeaderFooter::Type type, MWAWHeaderFooter::Occurrence occurrence)
| return true if we have a header footer in this position More...

## Private Attributes
double | m_formLength
| the form length More...
double | m_formWidth
| the form width More...
double | m_margins [4]
| the margins: libmwaw::Left, ... More...
librevenge::RVNGString | m_name
| the page name More...
librevenge::RVNGString | m_masterName
| the page master name More...
FormOrientation | m_formOrientation
| the form orientation More...
MWAWColor | m_backgroundColor
| the page background color: default white More...
std::vector< MWAWHeaderFooter > | m_headerFooterList
| the list of header More...
int | m_pageNumber
| the page number ( or -1) More...
int | m_pageSpan
| the number of page More...

## Detailed Description

A class which defines the page properties.

## Member Enumeration Documentation

## ◆ FormOrientation

enum MWAWPageSpan::FormOrientation

the page orientation

Enumerator
PORTRAIT |
LANDSCAPE |

## ◆ PageNumberPosition

enum MWAWPageSpan::PageNumberPosition

a fixed page number position

Enumerator
None |
TopLeft |
TopCenter |
TopRight |
BottomLeft |
BottomCenter |
BottomRight |

## Constructor & Destructor Documentation

## ◆ MWAWPageSpan() [1/2]

MWAWPageSpan::MWAWPageSpan | ( |  | ) |

constructor

## ◆ MWAWPageSpan() [2/2]

MWAWPageSpan::MWAWPageSpan | ( | MWAWPageSpan const & |  | ) |
| default

## ◆ ~MWAWPageSpan()

MWAWPageSpan::~MWAWPageSpan | ( |  | ) |

destructor

## Member Function Documentation

## ◆ backgroundColor()

MWAWColor MWAWPageSpan::backgroundColor | ( |  | ) | const
| inline

returns the background color

Referenced by operator==().

## ◆ checkMargins()

void MWAWPageSpan::checkMargins | ( |  | ) |

check if the page margins are consistent with the page dimension, if not update them

Referenced by MarinerWrtParser::readPrintInfo().

## ◆ containsHeaderFooter()

bool MWAWPageSpan::containsHeaderFooter | ( | MWAWHeaderFooter::Type | type,
|  | MWAWHeaderFooter::Occurrence | occurrence
| ) |  |
| protected

return true if we have a header footer in this position

Referenced by setHeaderFooter().

## ◆ getFormLength()

double MWAWPageSpan::getFormLength | ( |  | ) | const
| inline

returns the page length

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), DrawTableParser::createDocument(), ScoopParser::createDocument(), getPageProperty(), MWAWGraphicListener::insertFooter(), MWAWPresentationListener::insertFooter(), MWAWGraphicListener::openMasterPage(), MWAWPresentationListener::openMasterPage(), and BeagleWksStructManager::readDocumentInfo().

## ◆ getFormOrientation()

FormOrientation MWAWPageSpan::getFormOrientation | ( |  | ) | const
| inline

returns the page orientation

Referenced by getPageProperty().

## ◆ getFormWidth()

double MWAWPageSpan::getFormWidth | ( |  | ) | const
| inline

returns the page width

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), DrawTableParser::createDocument(), ScoopParser::createDocument(), getPageProperty(), MWAWGraphicListener::openMasterPage(), MWAWPresentationListener::openMasterPage(), and BeagleWksStructManager::readDocumentInfo().

## ◆ getHeaderFooterPosition()

int MWAWPageSpan::getHeaderFooterPosition | ( | MWAWHeaderFooter::Type | type,
|  | MWAWHeaderFooter::Occurrence | occurrence
| ) |  |
| protected

return the header footer positions in m_headerFooterList

Referenced by containsHeaderFooter(), removeHeaderFooter(), and setHeaderFooter().

## ◆ getMarginBottom()

double MWAWPageSpan::getMarginBottom | ( |  | ) | const
| inline

returns the bottom margin

Referenced by ClarisWksDocument::getFinalPageSpan(), getPageProperty(), and operator==().

## ◆ getMarginLeft()

double MWAWPageSpan::getMarginLeft | ( |  | ) | const
| inline

returns the left margin

Referenced by getPageProperty(), WriterPlsParser::getParagraph(), CorelPainterParser::getZonePosition(), operator==(), ClarisWksBMParser::parse(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), GreatWksGraph::sendFrame(), and GreatWksBMParser::sendPicture().

## ◆ getMarginRight()

double MWAWPageSpan::getMarginRight | ( |  | ) | const
| inline

returns the right margin

Referenced by ClarisWksDocument::getFinalPageSpan(), getPageProperty(), CorelPainterParser::getZonePosition(), operator==(), ClarisWksBMParser::parse(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), and GreatWksBMParser::sendPicture().

## ◆ getMarginTop()

double MWAWPageSpan::getMarginTop | ( |  | ) | const
| inline

returns the top margin

Referenced by getPageProperty(), operator==(), and GreatWksGraph::sendFrame().

## ◆ getMasterPageName()

librevenge::RVNGString const & MWAWPageSpan::getMasterPageName | ( |  | ) | const
| inline

return the page master name

Referenced by getPageProperty(), and operator==().

## ◆ getPageLength()

double MWAWPageSpan::getPageLength | ( |  | ) | const
| inline

returns the page length (form width without margin )

Referenced by WriterPlsParser::getTextHeight(), ClarisWksBMParser::parse(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), GreatWksBMParser::sendPicture(), and MsWks3Text::update().

## ◆ getPageName()

librevenge::RVNGString const & MWAWPageSpan::getPageName | ( |  | ) | const
| inline

return the page name

Referenced by getPageProperty(), and operator==().

## ◆ getPageNumber()

int MWAWPageSpan::getPageNumber | ( |  | ) | const
| inline

Referenced by operator==().

## ◆ getPageProperty()

void MWAWPageSpan::getPageProperty | ( | librevenge::RVNGPropertyList & | pList,
|  | bool | isPresentation = `false`
| ) |  | const

add the page properties in pList

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), MWAWSpreadsheetListener::_openPageSpan(), MWAWTextListener::_openPageSpan(), MWAWGraphicListener::openMasterPage(), and MWAWPresentationListener::openMasterPage().

## ◆ getPageSpan()

int MWAWPageSpan::getPageSpan | ( |  | ) | const
| inline

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), MWAWSpreadsheetListener::_openPageSpan(), MWAWTextListener::_openPageSpan(), MacWrtParser::createDocument(), MacWrtProParser::createDocument(), MarinerWrtParser::createDocument(), and getPageProperty().

## ◆ getPageWidth()

double MWAWPageSpan::getPageWidth | ( |  | ) | const
| inline

returns the page width (form width without margin )

Referenced by ClarisWksBMParser::parse(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), MouseWrtParser::sendMainZone(), ScriptWriterParser::sendMainZone(), and GreatWksBMParser::sendPicture().

## ◆ hasMasterPageName()

bool MWAWPageSpan::hasMasterPageName | ( |  | ) | const
| inline

return true if the masterPage has a name

Referenced by getPageProperty().

## ◆ hasPageName()

bool MWAWPageSpan::hasPageName | ( |  | ) | const
| inline

return true if the page has a name

Referenced by getPageProperty().

## ◆ operator!=()

bool MWAWPageSpan::operator!= | ( | std::shared_ptr< MWAWPageSpan > const & | pageSpan | ) | const
| inline

operator!=

## ◆ operator=() [1/2]

MWAWPageSpan & MWAWPageSpan::operator= | ( | MWAWPageSpan && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWPageSpan & MWAWPageSpan::operator= | ( | MWAWPageSpan const & |  | ) |
| default

## ◆ operator==()

bool MWAWPageSpan::operator== | ( | std::shared_ptr< MWAWPageSpan > const & | pageSpan | ) | const

operator==

Referenced by operator!=().

## ◆ removeHeaderFooter()

void MWAWPageSpan::removeHeaderFooter | ( | MWAWHeaderFooter::Type | type,
|  | MWAWHeaderFooter::Occurrence | occurrence
| ) |  |
| protected

remove a header footer

Referenced by setHeaderFooter().

## ◆ sendHeaderFooters() [1/2]

void MWAWPageSpan::sendHeaderFooters | ( | MWAWListener * | listener | ) | const

send the page's headers/footers if some exists

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), MWAWSpreadsheetListener::_openPageSpan(), and MWAWTextListener::_openPageSpan().

## ◆ sendHeaderFooters() [2/2]

void MWAWPageSpan::sendHeaderFooters | ( | MWAWListener * | listener,
|  | MWAWHeaderFooter::Occurrence | occurrence
| ) |  | const

send the page's headers/footers corresponding to an occurrence if some exists

## ◆ setBackgroundColor()

void MWAWPageSpan::setBackgroundColor | ( | MWAWColor | color = `MWAWColor::white()` | ) |
| inline

set the background color

Referenced by PowerPoint1Parser::createDocument(), PowerPoint3Parser::createDocument(), MarinerWrtParser::createDocument(), MoreParser::createDocument(), StyleParser::createDocument(), and DocMkrText::updatePageSpanList().

## ◆ setFormLength()

void MWAWPageSpan::setFormLength | ( | const double | formLength | ) |
| inline

set the total page length

Referenced by FreeHandParser::checkHeader(), MacDrawProParser::computeLayersAndLibrariesBoundingBox(), ApplePictParser::createDocument(), Canvas5BMParser::createDocument(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), CorelPainterParser::createDocument(), DrawTableParser::createDocument(), ScoopParser::createDocument(), MacDocParser::createZones(), MWAWGraphicListener::MWAWGraphicListener(), MWAWSpreadsheetListener::MWAWSpreadsheetListener(), PowerPoint7Parser::readDocAtom(), ClarisDrawParser::readDocHeader(), ClarisWksDocument::readDocHeader(), MacDraft5Parser::readDocHeader(), MacDraftParser::readDocHeader(), MacWrtProParser::readDocHeader(), FullWrtParser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), MsWrd1Parser::readDocInfo(), LightWayTxtParser::readDocument(), MsWrdParser::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), EDocParser::readInfo(), NisusWrtParser::readPageLimit(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), WordMakerParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), MindWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ActaParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MoreParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), StyleParser::readPrintInfo(), CanvasParser::readPrintInfo(), WriteNowParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and ClarisWksDocument::updateChildPositions().

## ◆ setFormOrientation()

void MWAWPageSpan::setFormOrientation | ( | const FormOrientation | formOrientation | ) |
| inline

set the form orientation

Referenced by FreeHandParser::checkHeader(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), NisusWrtParser::readPageLimit(), MsWrdParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## ◆ setFormWidth()

void MWAWPageSpan::setFormWidth | ( | const double | formWidth | ) |
| inline

set the total page width

Referenced by FreeHandParser::checkHeader(), MacDrawProParser::computeLayersAndLibrariesBoundingBox(), ApplePictParser::createDocument(), Canvas5BMParser::createDocument(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), CorelPainterParser::createDocument(), DrawTableParser::createDocument(), ScoopParser::createDocument(), MacDocParser::createZones(), MWAWGraphicListener::MWAWGraphicListener(), MWAWSpreadsheetListener::MWAWSpreadsheetListener(), PowerPoint7Parser::readDocAtom(), ClarisDrawParser::readDocHeader(), ClarisWksDocument::readDocHeader(), MacDraft5Parser::readDocHeader(), MacDraftParser::readDocHeader(), MacWrtProParser::readDocHeader(), FullWrtParser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), MsWrd1Parser::readDocInfo(), LightWayTxtParser::readDocument(), MsWrdParser::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), EDocParser::readInfo(), NisusWrtParser::readPageLimit(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), WordMakerParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), MindWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ActaParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MoreParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), StyleParser::readPrintInfo(), CanvasParser::readPrintInfo(), WriteNowParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and ClarisWksDocument::updateChildPositions().

## ◆ setHeaderFooter()

void MWAWPageSpan::setHeaderFooter | ( | MWAWHeaderFooter const & | headerFooter | ) |

add a header/footer on some page

Referenced by BeagleWksDBParser::createDocument(), BeagleWksSSParser::createDocument(), GreatWksDBParser::createDocument(), GreatWksSSParser::createDocument(), MultiplanParser::createDocument(), ActaParser::createDocument(), BeagleWksParser::createDocument(), FullWrtParser::createDocument(), GreatWksParser::createDocument(), HanMacWrdJParser::createDocument(), HanMacWrdKParser::createDocument(), JazzWriterParser::createDocument(), LightWayTxtParser::createDocument(), MacWrtParser::createDocument(), MarinerWrtParser::createDocument(), MindWrtParser::createDocument(), MoreParser::createDocument(), MouseWrtParser::createDocument(), MsWrd1Parser::createDocument(), MsWrdParser::createDocument(), NisusWrtParser::createDocument(), ScriptWriterParser::createDocument(), StudentWritingCParser::createDocument(), WordMakerParser::createDocument(), WriteNowParser::createDocument(), WriterPlsParser::createDocument(), ZWrtParser::createDocument(), MsWksDocument::getPageSpanList(), MacWrtProStructures::updatePageSpan(), ClarisWksText::updatePageSpanList(), ClarisWksDocument::updatePageSpanList(), and DocMkrText::updatePageSpanList().

## ◆ setMarginBottom()

void MWAWPageSpan::setMarginBottom | ( | const double | marginBottom | ) |
| inline

set the page bottom margin

Referenced by FreeHandParser::checkHeader(), StudentWritingCParser::createDocument(), ClarisWksDocument::getFinalPageSpan(), HanMacWrdKParser::init(), ClarisDrawParser::readDocHeader(), ClarisWksDocument::readDocHeader(), MacWrtProParser::readDocHeader(), GreatWksParser::readDocInfo(), FullWrtParser::readDocInfo(), MarinerWrtParser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), LightWayTxtParser::readDocument(), BeagleWksStructManager::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), BeagleWksParser::readLastZone(), StyleParser::readMargins(), NisusWrtParser::readPageLimit(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), WordMakerParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), MindWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ActaParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MoreParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), StyleParser::readPrintInfo(), ZWrtParser::readPrintInfo(), CanvasParser::readPrintInfo(), WriteNowParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and DocMkrText::updatePageSpanList().

## ◆ setMarginLeft()

void MWAWPageSpan::setMarginLeft | ( | const double | marginLeft | ) |
| inline

set the page left margin

Referenced by FreeHandParser::checkHeader(), StudentWritingCParser::createDocument(), HanMacWrdKParser::init(), ClarisDrawParser::readDocHeader(), ClarisWksDocument::readDocHeader(), MacWrtProParser::readDocHeader(), GreatWksParser::readDocInfo(), FullWrtParser::readDocInfo(), MarinerWrtParser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), MsWrd1Parser::readDocInfo(), LightWayTxtParser::readDocument(), BeagleWksStructManager::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), BeagleWksParser::readLastZone(), StyleParser::readMargins(), NisusWrtParser::readPageLimit(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), WordMakerParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), MindWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ActaParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MoreParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), StyleParser::readPrintInfo(), ZWrtParser::readPrintInfo(), CanvasParser::readPrintInfo(), WriteNowParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and DocMkrText::updatePageSpanList().

## ◆ setMarginRight()

void MWAWPageSpan::setMarginRight | ( | const double | marginRight | ) |
| inline

set the page right margin

Referenced by FreeHandParser::checkHeader(), StudentWritingCParser::createDocument(), ClarisWksDocument::getFinalPageSpan(), HanMacWrdKParser::init(), ClarisDrawParser::readDocHeader(), ClarisWksDocument::readDocHeader(), MacWrtProParser::readDocHeader(), GreatWksParser::readDocInfo(), FullWrtParser::readDocInfo(), MarinerWrtParser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), LightWayTxtParser::readDocument(), BeagleWksStructManager::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), BeagleWksParser::readLastZone(), StyleParser::readMargins(), NisusWrtParser::readPageLimit(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), WordMakerParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), MindWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ActaParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MoreParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), StyleParser::readPrintInfo(), ZWrtParser::readPrintInfo(), CanvasParser::readPrintInfo(), WriteNowParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and DocMkrText::updatePageSpanList().

## ◆ setMargins()

void MWAWPageSpan::setMargins | ( | double | margin,
|  | int | wh = `libmwaw::LeftBit|libmwaw::RightBit|libmwaw::TopBit|libmwaw::BottomBit`
| ) |  |
| inline

set all the margins

Referenced by Canvas5BMParser::Canvas5BMParser(), Canvas5Parser::Canvas5Parser(), CanvasParser::CanvasParser(), CricketDrawParser::CricketDrawParser(), DrawTableParser::DrawTableParser(), ActaParser::init(), ApplePictParser::init(), BeagleWksBMParser::init(), BeagleWksDBParser::init(), BeagleWksDRParser::init(), BeagleWksParser::init(), BeagleWksSSParser::init(), ClarisDrawParser::init(), ClarisWksBMParser::init(), ClarisWksParser::init(), ClarisWksPRParser::init(), ClarisWksSSParser::init(), CorelPainterParser::init(), EDocParser::init(), FreeHandParser::init(), FullWrtParser::init(), GreatWksBMParser::init(), GreatWksDBParser::init(), GreatWksDRParser::init(), GreatWksParser::init(), GreatWksSSParser::init(), HanMacWrdJParser::init(), LightWayTxtParser::init(), MacDocParser::init(), MacDraft5Parser::init(), MacDraftParser::init(), MacDrawParser::init(), MacDrawProParser::init(), MacPaintParser::init(), MacWrtParser::init(), MacWrtProParser::init(), MarinerWrtParser::init(), MindWrtParser::init(), MoreParser::init(), MsWksDBParser::init(), MsWksDRParser::init(), MsWksParser::init(), MsWksSSParser::init(), MsWrd1Parser::init(), MsWrdParser::init(), NisusWrtParser::init(), PixelPaintParser::init(), RagTime5Parser::init(), RagTime5SSParser::init(), RagTimeParser::init(), SuperPaintParser::init(), TeachTxtParser::init(), WingzParser::init(), WriteNowParser::init(), WriterPlsParser::init(), ZWrtParser::init(), JazzSSParser::JazzSSParser(), MaxWrtParser::MaxWrtParser(), MultiplanParser::MultiplanParser(), MWAWGraphicListener::MWAWGraphicListener(), MWAWSpreadsheetListener::MWAWSpreadsheetListener(), ReadySetGoParser::ReadySetGoParser(), ScoopParser::ScoopParser(), ScriptWriterParser::ScriptWriterParser(), StudentWritingCParser::StudentWritingCParser(), StyleParser::StyleParser(), and WordMakerParser::WordMakerParser().

## ◆ setMarginTop()

void MWAWPageSpan::setMarginTop | ( | const double | marginTop | ) |
| inline

set the page top margin

Referenced by FreeHandParser::checkHeader(), StudentWritingCParser::createDocument(), HanMacWrdKParser::init(), ClarisDrawParser::readDocHeader(), ClarisWksDocument::readDocHeader(), MacWrtProParser::readDocHeader(), GreatWksParser::readDocInfo(), FullWrtParser::readDocInfo(), MarinerWrtParser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), MsWrd1Parser::readDocInfo(), LightWayTxtParser::readDocument(), BeagleWksStructManager::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), BeagleWksParser::readLastZone(), StyleParser::readMargins(), NisusWrtParser::readPageLimit(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), WordMakerParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), MindWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ActaParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MoreParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), StyleParser::readPrintInfo(), ZWrtParser::readPrintInfo(), CanvasParser::readPrintInfo(), WriteNowParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and DocMkrText::updatePageSpanList().

## ◆ setMasterPageName()

void MWAWPageSpan::setMasterPageName | ( | librevenge::RVNGString const & | name | ) |
| inline

set the page master name

Referenced by Canvas5Parser::createDocument(), ClarisDrawParser::createDocument(), MacDrawProParser::createDocument(), ReadySetGoParser::createDocument(), PowerPoint1Parser::createDocument(), PowerPoint3Parser::createDocument(), PowerPoint7Parser::createDocument(), MacDrawProParser::sendMasterPage(), PowerPoint1Parser::sendSlides(), PowerPoint3Parser::sendSlides(), PowerPoint7Parser::sendSlides(), and ClarisWksDocument::updatePageSpanList().

## ◆ setPageName()

void MWAWPageSpan::setPageName | ( | librevenge::RVNGString const & | name | ) |
| inline

set the page name

Referenced by ClarisDrawParser::createDocument(), MacDraft5Parser::createDocument(), MacDrawProParser::createDocument(), and ClarisWksPresentation::updatePageSpanList().

## ◆ setPageNumber()

void MWAWPageSpan::setPageNumber | ( | const int | pageNumber | ) |
| inline

set the page number

Referenced by DocMkrText::updatePageSpanList().

## ◆ setPageSpan()

void MWAWPageSpan::setPageSpan | ( | const int | pageSpan | ) |
| inline

set the page span ( default 1)

Referenced by ApplePictParser::createDocument(), BeagleWksBMParser::createDocument(), BeagleWksDRParser::createDocument(), Canvas5BMParser::createDocument(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), ClarisDrawParser::createDocument(), CorelPainterParser::createDocument(), CricketDrawParser::createDocument(), DrawTableParser::createDocument(), FreeHandParser::createDocument(), GreatWksBMParser::createDocument(), GreatWksDRParser::createDocument(), MacDraft5Parser::createDocument(), MacDraftParser::createDocument(), MacDrawParser::createDocument(), MacDrawProParser::createDocument(), MacPaintParser::createDocument(), PixelPaintParser::createDocument(), ReadySetGoParser::createDocument(), ScoopParser::createDocument(), SuperPaintParser::createDocument(), BeagleWksDBParser::createDocument(), BeagleWksSSParser::createDocument(), GreatWksDBParser::createDocument(), GreatWksSSParser::createDocument(), JazzSSParser::createDocument(), MultiplanParser::createDocument(), WingzParser::createDocument(), ActaParser::createDocument(), BeagleWksParser::createDocument(), EDocParser::createDocument(), FullWrtParser::createDocument(), GreatWksParser::createDocument(), HanMacWrdJParser::createDocument(), HanMacWrdKParser::createDocument(), JazzWriterParser::createDocument(), LightWayTxtParser::createDocument(), MacDocParser::createDocument(), MacWrtParser::createDocument(), MarinerWrtParser::createDocument(), MaxWrtParser::createDocument(), MindWrtParser::createDocument(), MoreParser::createDocument(), MouseWrtParser::createDocument(), MsWrd1Parser::createDocument(), MsWrdParser::createDocument(), NisusWrtParser::createDocument(), RagTimeParser::createDocument(), ScriptWriterParser::createDocument(), StudentWritingCParser::createDocument(), StyleParser::createDocument(), TeachTxtParser::createDocument(), WordMakerParser::createDocument(), WriteNowParser::createDocument(), WriterPlsParser::createDocument(), ZWrtParser::createDocument(), MsWksDocument::getPageSpanList(), MWAWGraphicListener::MWAWGraphicListener(), MWAWSpreadsheetListener::MWAWSpreadsheetListener(), MacWrtProStructures::updatePageSpan(), ClarisWksPresentation::updatePageSpanList(), ClarisWksText::updatePageSpanList(), ClarisWksDocument::updatePageSpanList(), and RagTime5Document::updatePageSpanList().

## Member Data Documentation

## ◆ m_backgroundColor

MWAWColor MWAWPageSpan::m_backgroundColor
| private

the page background color: default white

Referenced by backgroundColor(), getPageProperty(), and setBackgroundColor().

## ◆ m_formLength

double MWAWPageSpan::m_formLength
| private

the form length

Referenced by checkMargins(), getFormLength(), getPageLength(), operator==(), and setFormLength().

## ◆ m_formOrientation

FormOrientation MWAWPageSpan::m_formOrientation
| private

the form orientation

Referenced by getFormOrientation(), operator==(), and setFormOrientation().

## ◆ m_formWidth

double MWAWPageSpan::m_formWidth
| private

the form width

Referenced by checkMargins(), getFormWidth(), getPageWidth(), operator==(), and setFormWidth().

## ◆ m_headerFooterList

std::vector<MWAWHeaderFooter> MWAWPageSpan::m_headerFooterList
| private

the list of header

Referenced by containsHeaderFooter(), getHeaderFooterPosition(), operator==(), removeHeaderFooter(), sendHeaderFooters(), and setHeaderFooter().

## ◆ m_margins

double MWAWPageSpan::m_margins[4]
| private

the margins: libmwaw::Left, ...

Referenced by checkMargins(), getMarginBottom(), getMarginLeft(), getMarginRight(), getMarginTop(), getPageLength(), getPageWidth(), MWAWPageSpan(), setMarginBottom(), setMarginLeft(), setMarginRight(), setMargins(), and setMarginTop().

## ◆ m_masterName

librevenge::RVNGString MWAWPageSpan::m_masterName
| private

the page master name

Referenced by getMasterPageName(), hasMasterPageName(), and setMasterPageName().

## ◆ m_name

librevenge::RVNGString MWAWPageSpan::m_name
| private

the page name

Referenced by getPageName(), hasPageName(), and setPageName().

## ◆ m_pageNumber

int MWAWPageSpan::m_pageNumber
| private

the page number ( or -1)

Referenced by getPageNumber(), and setPageNumber().

## ◆ m_pageSpan

int MWAWPageSpan::m_pageSpan
| private

the number of page

Referenced by getPageSpan(), and setPageSpan().

The documentation for this class was generated from the following files:

- MWAWPageSpan.hxx
- MWAWPageSpan.cxx